%{!?perl_vendorlib: %define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}

Name:           perl-MIME-tools
Version:        5.417
Release:        1
Epoch:          0
Summary:        Modules for parsing and creating MIME entities in Perl

Group:          Development/Libraries
License:        Artistic
URL:            http://search.cpan.org/dist/MIME-tools/
Source0:     http://www.cpan.org/authors/id/D/DS/DSKOLL/MIME-tools-5.417.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-broot-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(IO::Stringy) perl(MIME::Base64) >= 2.20 perl-MailTools
BuildRequires:  perl >= 1:5.6.1 perl(MIME::QuotedPrint)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
MIME-tools is a collection of Perl5 MIME:: modules for parsing,
decoding, *and generating* single- or multipart (even nested
multipart) MIME messages. (Yes, kids, that means you can send messages
with attached GIF files).


%prep
%setup -q -n MIME-tools-%{version}
chmod 644 examples/* # avoid dependencies


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/set-version.pl
chmod -R u+w $RPM_BUILD_ROOT/*


%check || :
if %{__perl} -MMIME::QuotedPrint \
  -e 'exit ($MIME::QuotedPrint::VERSION < 3.03)' ; then
  make test
else
  # Expected failures: 4, 5 and 7-11 of t/Misc.t
  make test || :
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING README README-OR-DIE examples
%{perl_vendorlib}/MIME
%{_mandir}/man3/MIME::*.3*


%changelog
* Sat Jan 22 2005 Ville Skyttä <ville.skytta at iki.fi> - 0:5.417-1
- Update to 5.417.

* Wed Jan  5 2005 Ville Skyttä <ville.skytta at iki.fi> - 0:5.416-0.fdr.1
- Update to 5.416.

* Thu Oct 28 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:5.415-0.fdr.1
- Update to 5.415.

* Thu Oct  7 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:5.414-0.fdr.1
- Update to 5.414.

* Wed Sep 15 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:5.413-0.fdr.1
- Update to 5.413, includes the mimedefang patches.
- Bring up to date with current fedora.us Perl spec template.

* Sat Feb  7 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:5.411-0.fdr.6.a
- Install into vendor dirs.
- BuildRequire perl-MailTools (bug 373).

* Sat Aug 16 2003 Dams <anvil[AT]livna.org> 0:5.411-0.fdr.5.a
- Hopefully fixed BuildRequires (for make test)
- rm-ing perllocal.pod instead of excluding it

* Sat Jul 12 2003 Dams <anvil[AT]livna.org> 0:5.411-0.fdr.4.a
- Package is now noarch

* Fri Jul 11 2003 Dams <anvil[AT]livna.org> 0:5.411-0.fdr.3.a
- Changed Group tag value
- make test in build section
- Added missing directory

* Wed Jun 25 2003 Dams <anvil[AT]livna.org> 0:5.411-0.fdr.2.a
- Now using roaringpenguin tarball

* Sun Jun 15 2003 Dams <anvil[AT]livna.org> 
- Initial build.
